package cn.im.trafficplan.action;

 import cn.im.trafficplan.service.TrafficplanrelateroadService;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import cn.base.aspect.OperateType;
import cn.base.bean.BaseAction;
import cn.base.excel.ExcelCol;
import cn.base.excel.ExportEngine;
import cn.base.util.CommUtils;
import cn.base.util.Constants;
import cn.base.util.LogConstants;
import cn.base.util.StringUtil;
import cn.base.util.Struts2Utils;

@SuppressWarnings({"all"})
@Component("trafficplanrelateroadAction")
public class TrafficplanrelateroadAction extends BaseAction{
	private static final long serialVersionUID = 1L;
	private static Logger iLog = Logger.getLogger(TrafficplanrelateroadAction.class);
	
	@Autowired
	private TrafficplanrelateroadService service;
	
	/**
	 * 分页
	 */
	/*
	@OperateType(value = LogConstants.LOG_QUERY ,info ="listTrafficplanrelateroadByPage")
	public void listTrafficplanrelateroadByPage(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			int page = Integer.parseInt(Struts2Utils.getParameter("page"));
			int rows = Integer.parseInt(Struts2Utils.getParameter("rows"));
			int start = ( (page == 0 ?  1 : page ) - 1) * rows ;
			map.put("start",start );
			map.put("limit",rows );
			Struts2Utils.renderJson(this.service.listTrafficplanrelateroadByPage(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficplanrelateroadAction-listTrafficplanrelateroadByPage-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 查询总数
	 */
	/*
	@OperateType(value = LogConstants.LOG_QUERY ,info ="count_Trafficplanrelateroad")
	public void count_Trafficplanrelateroad(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.count_Trafficplanrelateroad(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficplanrelateroadAction-count_Trafficplanrelateroad-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 查询 Trafficplanrelateroad
	 */
	/*
	@OperateType(value = LogConstants.LOG_GET ,info ="query_Trafficplanrelateroad")
	public void query_Trafficplanrelateroad(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.query_Trafficplanrelateroad(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficplanrelateroadAction-query_Trafficplanrelateroad-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 查询 一条Trafficplanrelateroad
	 */
	/*
	@OperateType(value = LogConstants.LOG_GET ,info ="get_Trafficplanrelateroad")
	public void get_Trafficplanrelateroad(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Struts2Utils.renderJson(this.service.get_Trafficplanrelateroad(map));
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficplanrelateroadActionquery_Trafficplanrelateroad-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 删除
	 */
	/*
	@OperateType(value = LogConstants.LOG_DELETE ,info ="deleteTrafficplanrelateroad")
	public void delete_Trafficplanrelateroad(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(!CommUtils.isEmpty(map)){
				int result = service.delete_Trafficplanrelateroad(map);
				Struts2Utils.renderJson(Constants.SUCCESS);
			}else{
				 throw new Exception("请正确的选择删除记录!!!");
			}
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficplanrelateroadAction-delete_Trafficplanrelateroad-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/

	/**
	 * 插入
	 */
	/*
	@OperateType(value = LogConstants.LOG_ADD ,info ="insert_Trafficplanrelateroad")
	public void insert_Trafficplanrelateroad(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			if(StringUtil.checkEmpty(map.get("relateID"))){
				map.put("relateID",StringUtil.getUUID());
			}
			service.insert_Trafficplanrelateroad(map);
			Struts2Utils.renderJson(Constants.SUCCESS);
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficplanrelateroadAction-listTrafficplanrelateroadByPage()-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 修改
	 */
	/*
	@OperateType(value = LogConstants.LOG_UPDATE ,info ="update_Trafficplanrelateroad")
	public void update_Trafficplanrelateroad(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			int result = service.update_Trafficplanrelateroad(map);
			Struts2Utils.renderJson(Constants.SUCCESS);
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficplanrelateroadAction-update_Trafficplanrelateroad-error: " +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 批量删除
	 */
	/*
	@OperateType(value = LogConstants.LOG_DELETE ,info ="batch_delete_Trafficplanrelateroad")
	public void batch_delete_Trafficplanrelateroad(){
		Map map = Struts2Utils.getRequestParameterMap();
		try {
			Map m = new HashMap();
			m.put("keyword", map.get("keyword").toString());
			int result = service.batch_delete_Trafficplanrelateroad(m);
			Struts2Utils.renderJson(Constants.SUCCESS);
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficplanrelateroadAction-batch_delete_Trafficplanrelateroad-error:" +e);
			Struts2Utils.renderJson(null);
		}
	}
	*/
	
	/**
	 * 导出Excel
	 */
	/*
	@OperateType(value = LogConstants.LOG_EXPORT ,info ="exoprtExcel")
	public void exoprtExcel(){
		try {
			Map map = Struts2Utils.getRequestParameterMap();
			map.put("start",0 );
			map.put("limit",5000);
			map = service.exportTrafficplanrelateroad(map);
			ExcelCol[] cells = new ExcelCol[2];
			cells[0] = new ExcelCol();
			cells[0].setColKey("字段名");
			cells[0].setColName("字段名称");
			cells[1] = new ExcelCol();
			cells[1].setColKey("字段名");
			cells[1].setColName("字段名称");
			Map params = new HashMap();
			params.put("fileName", "交通预案关联路段信息");
			params.put("sheetName", "交通预案关联路段信息");
			params.put("header", "交通预案关联路段信息");	
			new ExportEngine().exportCommData(params, cells, (ArrayList)map.get("rows"), Struts2Utils.getResponse());
		} catch (Exception e) {
			e.printStackTrace();
			iLog.error("TrafficplanrelateroadAction-exoprtExcel-error:" +e);
			
		}
	}
	*/
}
